Upload accesspoints via a CSV file.

POST /users/accesspoints/csv

Operation id: AccesspointService_CreateAccesspointsFromCsv

Description

Permission Level: Read-Write

Tags: AccesspointService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

(streaming inputs)

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
fileobjectNoThis protobuf message represents any file through an array of bytes.
ignoreHeaderbooleanNoSet if the header row of the CSV file I'm uploading can be ignored.
replaceExistingbooleanNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "file": {
      "type": "object",
      "description": "This protobuf message represents any file through an array of bytes.",
      "properties": {
        "content": {
          "type": "string",
          "format": "byte"
        }
      }
    },
    "ignoreHeader": {
      "type": "boolean",
      "description": "Set if the header row of the CSV file I'm uploading can be ignored."
    },
    "replaceExisting": {
      "type": "boolean"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo- PENDING: The file upload is pending. Default option. - IN_PROGRESS: The file is being uploaded. - SUCCESS: The file was successfully uploaded. - FAILED: The file upload failed. - SUCCESS_WITH_ERRORS: At least one user was successfully uploaded, but others had errors
batchIdstringNobatch_id for all the accesspoints in the bulk CSV upload. Randomly generated UUID string.
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "description": "- PENDING: The file upload is pending. Default option.\n - IN_PROGRESS: The file is being uploaded.\n - SUCCESS: The file was successfully uploaded.\n - FAILED: The file upload failed.\n - SUCCESS_WITH_ERRORS: At least one user was successfully uploaded, but others had errors",
      "enum": [
        "PENDING",
        "IN_PROGRESS",
        "SUCCESS",
        "FAILED",
        "SUCCESS_WITH_ERRORS"
      ],
      "default": "PENDING"
    },
    "batchId": {
      "type": "string",
      "description": "batch_id for all the accesspoints in the bulk CSV upload. Randomly generated UUID string."
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}